import React from 'react';
import { Omit } from '@react-component-contrib/util';
import Group from './button-group';
export declare type ButtonHTMLType = 'submit' | 'button' | 'reset';
export declare type AnchorButtonProps = {
    href?: string;
    target?: string;
} & Omit<React.AnchorHTMLAttributes<any>, 'type' | 'onClick'>;
export declare type NativeButtonProps = {
    htmlType?: ButtonHTMLType;
} & Omit<React.ButtonHTMLAttributes<any>, 'type' | 'onClick'>;
export interface IBaseButtonProps {
    prefixClassName?: string;
    disabled?: boolean;
    block?: boolean;
    text?: boolean;
    onClick?: React.MouseEventHandler<HTMLElement>;
}
export declare type ButtonProps = Partial<IBaseButtonProps & AnchorButtonProps & NativeButtonProps>;
interface IButtonFunctionComponent extends React.FC<ButtonProps> {
    Group: typeof Group;
}
declare const Button: IButtonFunctionComponent;
export default Button;
